Package org.apache.maven.shared.artifact.filter.resolve

## Class ExclusionsFilter

- java.lang.Object
- - org.apache.maven.shared.artifact.filter.resolve.ExclusionsFilter

All Implemented Interfaces:
  `TransformableFilter`

    public class ExclusionsFilter
    extends java.lang.Object
    implements TransformableFilter

A simple filter to exclude artifacts based on either artifact id or group id and artifact id.

Since:
  3.0
Author:
  Robert Scholte
See Also:
  `org.sonatype.aether.util.filter.ExclusionsDependencyFilter`, `ExclusionsDependencyFilter`

### Constructor Summary

Constructors
`ExclusionsFilter​(java.util.Collection<java.lang.String> excludes)` The default constructor specifying a collection of keys which must be excluded.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Collection<java.lang.String>` `getExcludes()`
`<T> T` `transform​(FilterTransformer<T> transformer)` Transform this filter to a tool specific implementation

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExclusionsFilter

    public ExclusionsFilter​(java.util.Collection<java.lang.String> excludes)

The default constructor specifying a collection of keys which must be excluded.

Parameters:
  `excludes` - the keys to exclude, may not be `null`
See Also:
  `Artifact.getDependencyConflictId()`

### Method Detail

#### getExcludes

    public final java.util.Collection<java.lang.String> getExcludes()

Returns:
  The list of excludes.

#### transform

    public <T> T transform​(FilterTransformer<T> transformer)

Transform this filter to a tool specific implementation

Specified by:
  `transform` in interface `TransformableFilter`
Type Parameters:
  `T` - the interface of the tool specific filter
Parameters:
  `transformer` - the transformer, may not be `null`
Returns:
  the transformed value, never `null`